---
title: Error.prototype.columnNumber
slug: Web/JavaScript/Reference/Global_Objects/Error/columnNumber
tags:
  - JavaScript
  - Non-standard
  - Property
  - Prototype
---
<div>{{JSRef}} {{non-standard_header}}</div>

<p>The <code><strong>columnNumber</strong></code> property contains the column number in the line of the file that raised this error.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_columnNumber">Using columnNumber</h3>

<pre class="brush: js notranslate">var e = new Error('Could not parse input');
throw e;
console.log(e.columnNumber) // 0
</pre>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("javascript.builtins.Error.columnNumber")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Error.prototype.stack")}}</li>
 <li>{{jsxref("Error.prototype.lineNumber")}}</li>
 <li>{{jsxref("Error.prototype.fileName")}}</li>
</ul>
